﻿// ---------------------------------------------------------------------------------
// 
// Sample code is copyright (c) Education Software Solutions Ltd 2021
// 
// Education Software Solutions (Hereafter 'ESS') provide sample code to 
// ESS Technical Integrators (Hereafter 'TIs') under consultancy 
// or as part of our TI programme to assist in the production of applications and services
// to benefit mutual customers.
// 
// Sample code is supplied by the ESS TI Team and may be augmented / changed at any time.
//
// ESS grants non exclusive rights to use the code on an 'as is' basis to contracted TIs 
// for the purpose of interfacing with ESS Products.  Code may be used in whole or in part 
// for the TIs products. Rights are subject to the restrictions below.
//
// This code may not be used for commercial purposes without a current TI agreement   
// in place with ESS.  The use of any sample code may incur liabilities for TI contractual 
// fees.  
//
// If the code is provided to eductational establishments for their own use then further 
// consent from ESS must be obtained before the code can be re-used for commercial gain.
//
// No warranty is provided . This header must be retained within the code and Copyright acknowleged as
// Parts (c) Education Software Solutions Ltd 2021 in version info.
//
// Code samples may be used to support other partners and no exclusivity is implied herein
//
// ---------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Text;
using System.Net.Http;
namespace PostitCore
{
    /// <summary>
    /// V3 TEST V3 TEST V3 TEST V3 TEST V3 TEST V3 TEST V3 TEST V3 TEST V3 TEST 
    /// </summary>

    public class CallInfo
    {
        public PostitCommon.AuthRequest arq = new PostitCommon.AuthRequest();
        public PostitCommon.BearerToken bearerToken = null;
        public static string Folder = @"c:\temp\PETEST";
        public static string LogFile = @"c:\temp\PETest.log";
        /// <summary>
        ///  Live environment settings
        /// </summary>           
        public const string v3APIs = "https://seli00apm01.azure-api.net/ssli01/";
        // On occasstion for early testing, some sandboxes may be provied on our 'prep'
        // or pre-release environment.  
        // Credentials and organisations will be specifically for prep should the

        //    public const string v3APIs = "https://sepr00apm01.azure-api.net/sspr01/";

        /// <summary>
        /// Set credentials and get a token
        /// </summary>
        public void SetCredentialsPostV2Upgrade(HttpClient httpClient)
        {
            Folder = @"c:\temp\SIMSTestDemo";

            arq = new PostitCommon.AuthRequest();
            bearerToken = null;
            arq.Scopes = "partnerserverapplication partner";
            arq.STS = "https://sts.sims.co.uk/connect/token";
            //------------------------------------------------------------------------------------------
            // This section needs to be replaced with values supplied by partner support
            // partner.support@capita.co.uk 
            // NB: a sand box for SIMS 8 atte required in advance 
            // NB2: Charges may apply.
            //------------------------------------------------------------------------------------------
            // Freemium Credentials - Read only

            arq.Client_ID = "sas-simsprimary-09415ca0-a803-41b1-9e25-3e5a6516ddf3";
            arq.Organisation_ID = "80ceb191-734c-4c60-aabe-70ff0e38c4e5";
            arq.Secret = "VEG5uVpf9vNQgRPT";
            // Subscription key should be changed this one is demo app only
            // it must be replaced with a vendor specific key and will
            // be withdrawn randomly...
            arq.OCP_APIM_Key = "599238a4c8454a24af679bb5777209ca";
            // COntact partner.support@capita.co.uk to get your own key.

            //------------------------------------------------------------------------------------------
            // Replacement section ends
            // If you have the right values above then the code that follows should 'just work!'
            //------------------------------------------------------------------------------------------


            // Get a token

            bearerToken = new PostitCommon.BearerToken(arq, httpClient);
        }
    }
}